it-swarm.com.de

Nicht erfüllte Abhängigkeiten beim Versuch, r-base zu installieren

Ich habe ein Problem mit der Installation von Apps vom Terminal. Dies sind Beispiele für dieses Problem:

ratanak @ ratanak-walker: ~ $ Sudo apt-get install httrack 
 Paketlisten lesen ... Fertig 
 Abhängigkeitsbaum erstellen 
 Statusinformationen lesen ... Fertig 
 Möglicherweise möchten Sie 'apt --fix-broken install' ausführen, um diese Probleme zu beheben. 
 Die folgenden Pakete haben nicht erfüllte Abhängigkeiten: 
 Httrack: Abhängig von: libhttrack2 (> = 3.48.24), aber es wird nicht installiert 
 rstudio: Abhängig von: libjpeg62, aber es wird nicht installiert 
 Abhängig von: libgstreamer0.10-0, aber es ist nicht installierbar 
 Abhängig von: libgstreamer- plugins-base0.10-0 ist aber nicht installierbar 
 Empfiehlt: r-base (> = 2.11.1) wird aber nicht installiert 
 E: Nicht erfüllte Abhängigkeiten. Versuchen Sie 'apt --fix-broken install' ohne Pakete (oder geben Sie eine Lösung an). 
 
 Ratanak @ ratanak-walker: ~ $ Sudo apt-get install r-base 
 Lesen der Paketlisten ... Fertig 
 Erstellen des Abhängigkeitsbaums 
 Lesen der Statusinformationen ... Fertig 
 Möglicherweise möchten Sie 'apt --fix-broken install' ausführen, um diese Probleme zu beheben . 
 Die folgenden Pakete weisen ungelöste Abhängigkeiten auf: 
 R-base: Abhängig von: r-base-core (> = 3.4.0-1xenial0), wird jedoch nicht installiert 
 Abhängig von: r-Recommended (= 3.4.0-1xenial0), wird aber nicht installiert 
 Empfiehlt: r-base-html, wird aber nicht installiert 
 Empfiehlt: r -doc-html aber es wird nicht installiert 
 rstudio: Abhängig von: libjpeg62 aber es wird nicht installiert 
 Abhängig von: libgstreamer0.10-0 aber es ist nicht installierbar 
 Abhängig von: libgstreamer-plugins-base0.10-0, aber nicht installierbar 
 E: Nicht erfüllte Abhängigkeiten. Versuchen Sie 'apt --fix-broken install' ohne Pakete (oder geben Sie eine Lösung an).

Ich stelle fest, dass dieses Problem begann, als ich mit der Installation von Programm r begann.

12

Dieses Problem ist gelöst.

Sudo apt --fix-broken install
Sudo apt-get update
Sudo apt-get upgrade

Danke! Prost!

26

lauf

Sudo dpkg --configure -a
Sudo apt update && Sudo apt-get autoclean && Sudo apt-get clean && Sudo apt-get autoremove
Sudo apt dist-upgrade -y

sag mir, ob das hilft, Prost!

2
tatsu

Versuchen Sie es mit Sudo apt full-upgrade - damit werden bei Bedarf einige Pakete entfernt.

1
RafazZ